fastica_nonlinearity.hh File Reference
`#include <mia/core/gsl_vector.hh>`
`#include <mia/core/gsl_matrix.hh>`
`#include <mia/core/factory.hh>`
Include dependency graph for fastica_nonlinearity.hh:

Go to the source code of this file.

## Data Structures

class | mia::CFastICADeflNonlinearity
| This is the base clase for non-linearities used in deflation based ICA. More...
class | mia::CFastICANonlinearityBase

## Namespaces

namespace | mia

## Typedefs

typedef TFactory< CFastICADeflNonlinearity > | mia::CFastICADeflNonlinearityPlugin
typedef THandlerSingleton< TFactoryPluginHandler< CFastICADeflNonlinearityPlugin > > | mia::CFastICADeflNonlinearityPluginHandler
typedef std::shared_ptr< CFastICADeflNonlinearity > | mia::PFastICADeflNonlinearity

## Functions

EXPORT_CORE PFastICADeflNonlinearity | mia::produce_fastica_nonlinearity (const std::string &descr)